Subject: [calsify] draft-ietf-calext-extensions-00

From: Ken Murchison <[email-masked]>
Date: Tue, 07 Apr 2015 14:30:22 -0400

All,

This all looks pretty straightforward to me and I will add/update 
support for these properties and parameters to libical once we come to 
consensus on the draft.

However, I am somewhat unclear on the distinction between URL and SOURCE.

-- 
Kenneth Murchison
Principal Systems Software Engineer
Carnegie Mellon University

---

From: Cyrus Daboo <[email-masked]>
Date: Tue, 07 Apr 2015 14:50:08 -0400

Hi Ken,

--On April 7, 2015 at 2:30:22 PM -0400 Ken Murchison <[email-masked]> 
wrote:

> This all looks pretty straightforward to me and I will add/update support
> for these properties and parameters to libical once we come to consensus
> on the draft.
>

As per 5545, URL is meant to be a pointer to an alternative representation 
("more dynamic rendition") of the event - e.g., it could be a web page with 
details of the event. SOURCE, on the other hand, is meant to be a pointer 
to the original location where the iCalendar data itself was retrieved from.

I could add the following sentence to the SOURCE property description to 
help clarify the differences:

    Note that the URL property (Section 3.8.4.6 of [RFC5545]) defines a URL
    for an alternative representation of the calendar information (which
    could take the form of a web page, or an image, etc), whereas the
    SOURCE property is used to refer to the location where updated
    iCalendar data can be found.

-- 
Cyrus Daboo

---

From: Ken Murchison <[email-masked]>
Date: Tue, 07 Apr 2015 14:58:44 -0400

On 04/07/2015 02:50 PM, Cyrus Daboo wrote:
> Hi Ken,
>
> --On April 7, 2015 at 2:30:22 PM -0400 Ken Murchison 
> <[email-masked]> wrote:
>
>> support
> As per 5545, URL is meant to be a pointer to an alternative 
> representation ("more dynamic rendition") of the event - e.g., it 
> could be a web page with details of the event. SOURCE, on the other 
> hand, is meant to be a pointer to the original location where the 
> iCalendar data itself was retrieved from.
>
> I could add the following sentence to the SOURCE property description 
> to help clarify the differences:
>

Thanks, the new text is very helpful.  Please add it.